LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::ucb::FetchError Constant Group Referencepublished

These values are used to specify whether and which error has occurred while fetching data of some ContentResultSet rows. More...

## Variables
const short | SUCCESS = 0
| indicates that fetching of data was successful. More...
const short | ENDOFDATA = 1
| indicates that during fetching we went beyond the last or first row. More...
const short | EXCEPTION = 2
| indicates that during fetching we got an exception. More...

## Detailed Description

These values are used to specify whether and which error has occurred while fetching data of some ContentResultSet rows.

See also
  FetchResult

## Variable Documentation

## ◆ ENDOFDATA

const short ENDOFDATA = 1

indicates that during fetching we went beyond the last or first row.

Therefore the FetchResult does not contain the full count of demanded rows, but the maximum possible count must be contained.

## ◆ EXCEPTION

const short EXCEPTION = 2

indicates that during fetching we got an exception.

The row, that causes the exception, and all following ( "following" in read order! ) rows are not contained in the FetchResult. Therefore the FetchResult does not contain the full count of demanded rows. But all properly read rows so far must be contained.

## ◆ SUCCESS

const short SUCCESS = 0

indicates that fetching of data was successful.